# TermiChess

```
┌┬┐┌─┐┬─┐┌┬┐┬┌─┐┬ ┬┌─┐┌─┐┌─┐
 │ ├┤ ├┬┘│││││  ├─┤├┤ └─┐└─┐
 ┴ └─┘┴└─┴ ┴┴└─┘┴ ┴└─┘└─┘└─┘
```

TermiChess is a terminal-based chess game built using Python with the amazing `Textual` library. Play chess right in your terminal with a beautiful interface and Stockfish integration for chess engine.

## Demo

https://github.com/user-attachments/assets/93f96435-3886-45a3-bae5-7acb3d2458e0

## Features

- Play chess right in your terminal
- Stockfish integration for chess engine
- Move validation and legal move highlighting

## Installation

1. Ensure you have Python 3.10 or higher installed.

2. Install Stockfish:

   - On Ubuntu or Debian: `sudo apt-get install stockfish`
   - On macOS with Homebrew: `brew install stockfish`
   - On Windows, download from [Stockfish's official website](https://stockfishchess.org/download/) and add it to your system PATH.

3. Install TermiChess:

`pip install termichess`

## Running the Game

After installation, you can start the game by simply running:

`termichess`

- To exit out at any time , Press `q` .
- To restart the game click on the `Restart` button

## Contributing

Contributions are welcome! Please feel free to submit a Pull Request.

## License

This project is licensed under the Apache License - see the LICENSE file for details.

## Acknowledgments

- [Textual](https://github.com/Textualize/textual) for the TUI framework
- [python-chess](https://github.com/niklasf/python-chess) for chess logic
- [Stockfish](https://stockfishchess.org/) for the chess engine
